aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStefan Bühler <stbuehler@web.de>2009-03-28 13:35:16 +0100
committerStefan Bühler <stbuehler@web.de>2009-03-28 13:35:16 +0100
commitae457595a1fbf8275fe5a4f56969f521290d41b0 (patch)
tree385cb1abaac294c0c4da343c7f696925eac24815 /autogen.sh
parent7572c77974896eb97c96d7c80b941feb1a970fe5 (diff)
downloadfcgi-cgi-ae457595a1fbf8275fe5a4f56969f521290d41b0.tar.gz
fcgi-cgi-ae457595a1fbf8275fe5a4f56969f521290d41b0.zip
Add autoconf/automake build system
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..7673deb
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+ACLOCAL=${ACLOCAL:-aclocal}
+AUTOHEADER=${AUTOHEADER:-autoheader}
+AUTOMAKE=${AUTOMAKE:-automake}
+AUTOMAKE_FLAGS="--add-missing --copy"
+AUTOCONF=${AUTOCONF:-autoconf}
+
+ARGV0=$0
+
+set -e
+
+
+run() {
+ echo "$ARGV0: running \`$@'"
+ $@
+}
+
+run $ACLOCAL $ACLOCAL_FLAGS
+run $AUTOHEADER
+run $AUTOMAKE $AUTOMAKE_FLAGS
+run $AUTOCONF
+echo "Now type './configure ...' and 'make' to compile."